import java.io.* ;


import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;
import org.apache.axis.utils.Options;

import javax.xml.namespace.QName;
import javax.xml.rpc.ParameterMode;

public class PerfectGlassClient {


    public static void main(String args[]) {

	try {
            String reference; // la rfrence du produit
            int quantite ; // la quantit demande
	    Produit pdt = new Produit();

	    reference = Saisie.lire_String ("Saisie de la rfrence produit : "); 
	    quantite = Saisie.lire_int ("Saisie de la quantit demande : ");
	    
	    pdt.setRef(reference);
	    pdt.setQuantite(quantite);

            System.out.println ("Vrification de disponibilit........");

	    // Appel  l'opration :
	    //         recevoirqDemandee (Produit, URL)
	    //            /* rponse  renvoyer  URL */
	    // hberge par le service EntrepotUnidirService

            Service  service = new Service();
            Call     call    = (Call) service.createCall();
            String url = "http://127.0.0.1:8080/EntrepotUnidirWS/web/EntrepotUnidir.jws";
            call.setTargetEndpointAddress( new java.net.URL(url) );

	    // Le necessaire pour le parametre Produit 
	    QName qn = new QName( "http://EntrepotUnidirServiceWS/web", "Produit" );
	    call.registerTypeMapping(Produit.class, qn,
                      new org.apache.axis.encoding.ser.BeanSerializerFactory(
                          Produit.class, qn),
                      new org.apache.axis.encoding.ser.BeanDeserializerFactory(
                          Produit.class, qn));



            call.setOperationName( new QName("EntrepotUnidirService", "recevoirqDemandee") );
            call.addParameter( "pdt", qn, ParameterMode.IN);
            call.addParameter( "url", XMLType.XSD_STRING, ParameterMode.IN);
            call.setReturnType( org.apache.axis.encoding.XMLType.XSD_STRING );

            String ret = (String) call.invoke( new Object[] {
		 pdt,
		 "http://127.0.0.1:8080/PerfectGlassUnidirServiceWS/web/PerfectGlassUnidirService.jws"} );
            
	} catch (Exception e) {
	    System.err.println(e.toString() );
	}

    }
}

